import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';

// 查询列表1
export function listUser(data) {
  return request({
    url: '/ems/report/pointDnb/list',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
  })
}
export function listUsers(data) {
  return request({
    url: '/ems/report/pointDnb/lists',
    method: 'post',
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
    data: data,
  })
}
//日月年列表查询接口
export function listUser2(data) {
  return request({
    url: '/ems/report/pointDnb/datePointDnbList',
    method: 'post',
    data:data,
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}
// 柱状图1-电整点数据能耗统计
export function dnbCountingData(query) {
  return request({
    url: '/ems/report/board/dnbCountingData',
    method: 'get',
    params: query
  })
}
// 真查询部门下拉树结构
export function treeDat() {
  return request({
    url: '/ems/base/monitorInfo/treeData/2',
    method: 'get'
  })
}

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/user/deptTree',
    method: 'get'
  })
}
